> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subscriptions

> Retrieves a list of events according to any specified filter criteria and sort options.



## OpenAPI

````yaml /openapi/openapi_event.json get /event/push/subscriptions
openapi: 3.0.1
info:
  description: |-
    <div id="overview_EVENT">
                <h2>EVENTS</h2>
                <p>The Event APIs are used to subscribe to notifications when create, read, update, or delete operations are
                    performed. If an application subscribes to the event, use the <strong>Events</strong> resource to query for
                    recent events published to your application or events that were not published successfully. See the <a href="/pages/event-subscription">Event Subscription documentation</a> for more information</p>
                <p>The <strong>Subscriptions</strong> resource triggers a push service to sent immediate notifications to the subscribed
                    tenants
                    and applications. The resource sends messages regarding a subscription event that occurs in the tenant
                    or site.</p>
            </div>
  title: Event Subscription
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /event/push/subscriptions:
    get:
      tags:
        - EventSubscription
      summary: Get Subscriptions
      description: >-
        Retrieves a list of events according to any specified filter criteria
        and sort options.
      parameters:
        - description: >-
            Used to page results from a query. Indicates the zero-based offset
            in the complete result set where the returned entities begin. For
            example, with a PageSize of 25, to get the 51st through the 75th
            items, startIndex=3. The default value is 0. Optional.
          in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - description: >-
            Used to page results from a query. Indicates the maximum number of
            entities to return from a query. The default value is 20 and the
            maximum value is 200. Optional.
          in: query
          name: pageSize
          schema:
            default: 0
            format: int32
            type: integer
        - description: >-
            The element to sort the results by and the order in which the
            results appear. Either ascending (a-z) or descending (z-a) order.
            Optional.
          in: query
          name: sortBy
          schema:
            type: string
        - description: >-
            A set of filter expressions representing the search parameters for a
            query: eq=equals, ne=not equals, gt=greater than, lt = less than or
            equals, gt = greater than or equals, lt = less than or equals, sw =
            starts with, or cont = contains. Optional.
          in: query
          name: filter
          schema:
            type: string
        - description: >-
            Used to get more specific information from the request.  Available
            response groups: SubscribingSites.
          in: query
          name: responseGroups
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventSubscriptionCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/EventSubscriptionCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/EventSubscriptionCollection'
          description: OK
components:
  schemas:
    EventSubscriptionCollection:
      description: Collection of subscriptions returned as a whole.
      properties:
        items:
          items:
            $ref: '#/components/schemas/EventSubscription'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    EventSubscription:
      description: >-
        The subscription entity used specifically in PUSH event scenarios where
        a third-party desires to receive notification of events
      properties:
        apiVersion:
          description: ApiVersion
          nullable: true
          type: string
        appId:
          description: Application identifier for subscription
          nullable: true
          type: string
        confirmed:
          description: >-
            A boolean value that indicates if the subscription endpoint has been
            confirmed
          nullable: true
          type: boolean
        contentType:
          description: >-
            Content type of the payload that will be delivered.  This is
            utilized in combination with the notification delivery type. 
            Example:  A HTTP Post (notification delivery type) is performed with
            a JSON representation of the event data (content type).
          nullable: true
          type: string
        createBy:
          description: >-
            Identifier of the user who created the entity. System-supplied and
            read-only.
          nullable: true
          type: string
        createDate:
          description: When the entity was created. System-supplied and read-only.
          format: date-time
          nullable: true
          type: string
        endpoint:
          description: >-
            The delivery endpoint that will receive notifications when events
            concerning the specified topics on the subscription occur.  The
            format of the endpoint may differ depending on the notification
            type.  For example, the endpoint may be a URL in some cases and an
            email address in others if multiple notification types are
            available.
          nullable: true
          type: string
        id:
          description: The unique identifier for a subscription
          nullable: true
          type: string
        isActive:
          description: >-
            A boolean value that indicates if the subscription is active.  The
            subscription may be inactive due to repeated downtimes at the
            endpoint.  If they subscription is deactivated the subscription
            owner or application will need to reactivate it for notifications to
            be delivered.
          nullable: true
          type: boolean
        noCallback:
          description: >-
            A boolean value that indicates if events should be delivered that
            resulted from an API call by the application.  If true, any events
            that occur as a result of a direct API call by the same application
            will not be delivered. This can prevent an endless loop in certain
            scenarios.
          nullable: true
          type: boolean
        notificationDeliveryType:
          description: >-
            Notification delivery type which is a string representation of an
            enumeration of values.  Example: Http (this is case insensitive, so
            http may also be passed in)
          nullable: true
          type: string
        subscribingTenants:
          description: >-
            A list of subscribers or subscribing tenants that the subscription
            relates to
          items:
            $ref: '#/components/schemas/SubscribingTenant'
          nullable: true
          type: array
        topics:
          description: A list of topics that the subscription relates to
          items:
            type: string
          nullable: true
          type: array
        updateBy:
          description: >-
            Identifier of the user who updated the entity. System-supplied and
            read-only.
          nullable: true
          type: string
        updateDate:
          description: When the entity was updated. System-supplied and read-only.
          format: date-time
          nullable: true
          type: string
      type: object
    SubscribingTenant:
      description: A tenant that is associated with a subscription
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        isActive:
          description: >-
            Is the subscription active at the tenant level?  If the subscription
            context is at the Tenant Level this property will be utilized over
            the SiteLevel
          nullable: true
          type: boolean
        subscribingContextLevelType:
          description: >-
            Type of Subscribing Context

            !:SubscribingContextLevelTypeConst

            Derived from state of the subscription.  If any Subscribing Sites
            exist (e.g. subscription is not at the Tenant Level, then the value
            will be Site)
          nullable: true
          type: string
        subscribingSites:
          description: Subscribing Sites
          items:
            $ref: '#/components/schemas/SubscribingSite'
          nullable: true
          type: array
        tenantId:
          description: The tenant identifier
          format: int32
          nullable: true
          type: integer
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    SubscribingSite:
      description: A site that is associated with a subscription
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        isActive:
          description: Is the subscription active at the site level?
          nullable: true
          type: boolean
        siteId:
          description: The site identifier
          format: int32
          nullable: true
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````